Bug 408061 - nautilus allows attempts to mount non-mountable file systems
nautilus allows attempts to mount non-mountable file systems
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-02 15:10 EST by Michal Jaegermann
Modified: 2015-03-03 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:24:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2007-12-02 15:10:26 EST
Description of problem:

Assume that on fixed disks of some system there are assorted file
systems which are NOT listed in /etc/fstab for whatever reasons.
Also, for simplicity, assume that in /etc/PolicyKit/PolicyKit.conf
we have the following policy (which, for security reasons, should
be really a default - but this is another story):

  <match action="org.freedesktop.hal.storage.mount-fixed">
    <match user=".*">
      <return result="no"/>
    </match>
  </match>

After logging into a gnome session and opening a "Computer" window
one can see all those "extra" file systems displayed there.

There are really two problems with that.  One - this is a security
issue with a leak of an information otherwise not available to
non-root users.  Two - right click on a corresponding icon shows
a menu with possible actions like "Open", "Browse Folder" or
"Mount Volume" but attempts to follow up are _silently_ ignored.
Checking properties does not bring any enlightment.

There is one major exception to the above.  If those file systems
happen to be located on LVM volumes then they are not displayed
at all regardless if one is allowed to try to mount these (after
safisfying other conditions, like providing a root password) or not.

Version-Release number of selected component (if applicable):
nautilus-2.20.0-6.fc8

How reproducible:
always
Comment 1 Bug Zapper 2008-11-26 03:47:23 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 00:24:02 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.